import pickle
data = {
    "Институт": ["ИВТИ", "ИЭЭ", "ИРЭ"],
    "Кафедра": ["Информатика", "Математика", "Физика"],
    "Группа": ["А-02-23", "ПИ-22", "ПИ-23"],
    "Студенты": ["Туровец", "Петров", "Сидоров"]
}
while True:
    key = input("Введите ключ (Институт, Кафедра, Группа, Студенты): ")
    if key in data:
        break
    print("Такого ключа нет! Попробуйте еще раз.")
print(f"Ключ = {key} : Значения = {data[key]}")
with open("data.bin", "wb") as f:
    pickle.dump(data, f)
del data
print("Словарь удален из памяти")
